/****** Object:  StoredProcedure [dbo].[spKNUebersicht]    Script Date: 15.11.2019 13:25:46 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spKNUebersicht] 
	@KNEID nvarchar(27),
    @RGrund nvarchar(10)
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.KN, KN.KNID, KN.kn_name, tabKN_Risiko.RGrund, tabKN_Risiko.GBR_Quote, isnull([kn_gesamtkreditvolumen],0)*[gbr_quote] AS GKV,
       isnull([kn_Inanspruchnahme],0)*[gbr_quote] AS InAn, isnull([V]+[UV]+[E],0)*[gbr_quote] AS DR, 
       isnull([kn_ueberziehung],0)*[gbr_quote] AS UeZ, isnull([kn_blankokreditvolumen_in],0)*[gbr_quote] AS BInAn, 
       KN.kn_berater, tabKN_Risiko.KNEID, isnull(KN.kn_Ueberziehung,0) as kn_ueberziehung, 
       KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.KN_KUSYDSGV20,  
       KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, 
       KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, 
       KN.kn_blankokreditvolumen_in, KN.kn_blankokreditvolumen_wi, 
       KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, 
       KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, tabKN_Risiko.EngagementID
FROM (tabKreditnehmer as KN 
     LEFT JOIN tabKN_Risiko ON KN.KNID = tabKN_Risiko.KNID) 
     LEFT JOIN dbo.getsummenproKonto(@KNEID) ON KN.KNID = dbo.getsummenproKonto.KNID 
WHERE tabKN_Risiko.KNEID = @KNEID 
AND (@RGrund is null or RGrund = @RGrund) 
ORDER BY isnull([kn_gesamtkreditvolumen],0)*[gbr_quote] DESC;
END
GO

/****** Object:  StoredProcedure [dbo].[spKontenUebersicht]    Script Date: 19.11.2019 12:12:42 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spKontenUebersicht] 
	@KNID nvarchar(27)
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT tabKonto.KontoID, tabKonto.kto_relation_kredit_umsatz, tabKonto.KontoNr, 
       tabKonto.kto_skontronr, tabKonto.kto_gp_key, tabKonto.kto_gp_variante, tabkonto.kto_kreditkartennummer,
       tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo,
       tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit,
       tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, tabKonto.kto_ueberziehung_genehmigt, 
       tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, 
       tabKonto.kto_ueberziehungstage, tabKonto.kto_kz_notleidend, tabKonto.kto_verzug_entgelt, 
       tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, tabKonto.kto_rueckgabenbetrag,
       tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, 
       tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, 
       tabKonto.kto_monatliche_Habenumsaetze, tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, 
       tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, tabKonto.kto_ewb_e_afls_btrg, 
       tabKonto.kto_ewb_e_absg_ind_btrg, tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, 
       tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, 
       tabKonto.Bdate, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand
FROM tabKonto
WHERE tabKonto.KNID = @KNID 
ORDER BY tabKonto.kto_gp_key, tabKonto.kto_gesamtkreditvolumen DESC
END
GO






















Update _tabversion set DBVersion = '5.96', DBDate = '19.11.2019'
GO