/****** Object:  StoredProcedure [dbo].[spDokumentAlsNeueVersionEinfuegen]    Script Date: 20.11.2019 15:46:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spDokumentAlsNeueVersionEinfuegen]
@AlteDocID nvarchar(24),
@NeueDocID nvarchar(24),
@DokNameOriginalNeu nvarchar(255),
@DokNameInternNeu nvarchar(255),
@EUser int,
@ZipFileNeu nvarchar(250),
@DatumLetzteAenderungNeu datetime,
@DokumentVersionNeu int,
@MutterDokument nvarchar(255),
@UploadDurch int

AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
INSERT INTO tabDokumente
             (DocID, Art, ZugehoerigerKey, Bereich, Register, Sortierung, Besonderheit, DokNameOriginal, DokNameIntern, 
			 EUser, EDatum, Element, ZipFile, DokumentVersion, EngagementID, MutterDokument, DatumLetzteAenderung, UploadDurch, UploadAm, PruefungsID)
SELECT        @NeueDocID AS NeueDocID, Art, ZugehoerigerKey, Bereich, Register, Sortierung, Besonderheit, @DokNameOriginalNeu AS DokNameOriginalNeu, @DokNameInternNeu AS DokNameInternNeu, 
              EUser, getdate(), Element, @ZipFileNeu AS ZipFileNeu, @DokumentVersionNeu AS DokumentVersionNeu, EngagementID, @MutterDokument as MutterDokument, 
			  @DatumLetzteAenderungNeu AS DatumLetzteAenderungNeu, @UploadDurch, getdate(), PruefungsID
FROM            tabDokumente AS D
WHERE        (DocID = @AlteDocID)

END
GO

/****** Object:  StoredProcedure [dbo].[spDokumentEinfuegen]    Script Date: 20.11.2019 15:48:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spDokumentEinfuegen]
@DocID nvarchar(24),
@Art int,
@Register int,
@ZugehoerigerKey nvarchar(50),
@Bereich nvarchar(250),
@Sortierung nvarchar(50),
@DokNameOriginal nvarchar(255),
@DokNameIntern nvarchar(255),
@EUser int,
@Besonderheit nvarchar(3),
@Element nvarchar(50),
@ZipFile nvarchar(250),
@EngagementID nvarchar(17),
@DatumLetzteAenderung datetime,
@DokumentVersion int,
@MutterDokument nvarchar(255),
@UploadDurch int
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
INSERT INTO [dbo].[tabDokumente]
           ([DocID]
		   ,[Art]
		   ,[Register]
		   ,[Sortierung]
           ,[ZugehoerigerKey]
           ,[Bereich]
           ,[DokNameOriginal]
           ,[DokNameIntern]
           ,[EUser]
           ,[EDatum]
		   ,[Besonderheit]
		   ,[Element]
		   ,[ZipFile]
		   ,[EngagementID]
		   ,[DatumLetzteAenderung]
		   ,[DokumentVersion]
		   ,[MutterDokument]
		   ,[UploadDurch]
		   ,[UploadAm]
		   ,[PruefungsID])
     VALUES
	 (@DocID, @Art, @Register,  @Sortierung, @ZugehoerigerKey, @Bereich, @DokNameOriginal, @DokNameIntern, @euser, 
	   getdate(), @Besonderheit, @Element, @ZipFile, @EngagementID, @DatumLetzteAenderung, @DokumentVersion, @MutterDokument, @UploadDurch, 
	   Getdate(), left(@zugehoerigerKey,12))

END
GO

Update tabDokumente set PruefungsID = left(zugehoerigerKey,12)
GO

Update _tabversion set DBVersion = '5.98', DBDate = '20.11.2019'
GO